        !COMPILER-GENERATED INTERFACE MODULE: Fri May 20 16:46:50 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE FACTOR__genmod
          INTERFACE 
            SUBROUTINE FACTOR(N,NF,FAC)
              INTEGER(KIND=4) :: N
              INTEGER(KIND=4) :: NF
              REAL(KIND=8) :: FAC(*)
            END SUBROUTINE FACTOR
          END INTERFACE 
        END MODULE FACTOR__genmod
